ResultFilter (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared.filter

## Class ResultFilter

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.filter.ResultFilter

- All Implemented Interfaces:
    Serializable, FilterCriteria

      public class ResultFilter
      extends Object
      implements FilterCriteria, Serializable

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultFilter()` default behavior activeFilters is true, loadCommonName = false
    `ResultFilter(boolean activeFilters, boolean loadAllCommonName, boolean loadAllProperties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassificationId()`
    `String` | `getDataProviderName()`
    `String` | `getDataSourceName()`
    `String` | `getFilterValue()`
    `int` | `getNumberOfData()`
    `String` | `getRankClassification()`
    `String` | `getRankName()`
    `boolean` | `isActiveFilters()`
    `boolean` | `isByClassification()`
    `boolean` | `isByDataProvider()`
    `boolean` | `isByDataSourceName()`
    `boolean` | `isByRank()`
    `boolean` | `isLoadAllProperties()`
    `boolean` | `isLoadCommonName()`
    `void` | `resetAllFilters()`
    `void` | `setByClassification(boolean isByClassification)`
    `void` | `setByDataProvider(boolean isByDataProvider)`
    `void` | `setByDataSourceName(boolean isByDataSourceName)`
    `void` | `setByRankFilter(boolean b)`
    `void` | `setClassification(String rank, String classificationId, int numberOfData)`
    `void` | `setDataProviderName(String dataProviderName, int numberOfData)`
    `void` | `setDataSourceName(String dataSourceName, int numberOfData)`
    `void` | `setFilterValue(String filterValue)`
    `void` | `setRankClassification(String rankClassification)`
    `void` | `setRankName(String rankName, int numberOfData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultFilter

          public ResultFilter()

      default behavior activeFilters is true, loadCommonName = false

    - #### ResultFilter

          public ResultFilter(boolean activeFilters,
                      boolean loadAllCommonName,
                      boolean loadAllProperties)

      Parameters:
        `activeFilters` -
        `loadAllCommonName` -

  - ### Method Detail

    - #### isByClassification

          public boolean isByClassification()

    - #### setByClassification

          public void setByClassification(boolean isByClassification)

    - #### setClassification

          public void setClassification(String rank,
                               String classificationId,
                               int numberOfData)

    - #### isByDataProvider

          public boolean isByDataProvider()

    - #### isByDataSourceName

          public boolean isByDataSourceName()

    - #### setByDataProvider

          public void setByDataProvider(boolean isByDataProvider)

    - #### getDataProviderName

          public String getDataProviderName()

    - #### setDataProviderName

          public void setDataProviderName(String dataProviderName,
                                 int numberOfData)

    - #### getDataSourceName

          public String getDataSourceName()

    - #### setDataSourceName

          public void setDataSourceName(String dataSourceName,
                               int numberOfData)

    - #### resetAllFilters

          public void resetAllFilters()

    - #### getNumberOfData

          public int getNumberOfData()

    - #### setByDataSourceName

          public void setByDataSourceName(boolean isByDataSourceName)

    - #### setByRankFilter

          public void setByRankFilter(boolean b)

    - #### getRankName

          public String getRankName()

    - #### setRankName

          public void setRankName(String rankName,
                         int numberOfData)

    - #### isByRank

          public boolean isByRank()

    - #### getFilterValue

          public String getFilterValue()

    - #### setFilterValue

          public void setFilterValue(String filterValue)

    - #### getClassificationId

          public String getClassificationId()

    - #### getRankClassification

          public String getRankClassification()

    - #### setRankClassification

          public void setRankClassification(String rankClassification)

    - #### isLoadCommonName

          public boolean isLoadCommonName()

    - #### isActiveFilters

          public boolean isActiveFilters()

    - #### isLoadAllProperties

          public boolean isLoadAllProperties()

Copyright © 2013. All Rights Reserved.